clc;
clear;
close all;
%%
t = 0:0.01:10 ; 
x = sin(t).^2 ; 
y = cos(t).*sin(t) ; 
figure(1) ;
subplot(211) ;
plot(t , x  , 'ko' , 'LineWidth' , 2) ; hold on
xlabel('Time  (Second)') ; 
ylabel('Amplitude') ;
title('x plot') ;
grid on
legend('x')
subplot(212) ;
plot(t , y , 'b*', 'LineWidth' , 2) ;
xlabel('Time  (Second)') ; 
ylabel('Amplitude') ;
title('y plot') ;
grid on
legend('y')
% createfigure(t , [x;y]);
%%  3D plots    plot3(x , y , z)
t = 0:0.01:100 ; 
x = sin(t) ; 
y = cos(t) ; 
z = t ; 
plot3(x , y , z, 'r.-', 'LineWidth' , 2)
xlabel('x') ; 
ylabel('y') ;
zlabel('z') ;
title('xyz plot') ;
grid on

